:root {
    --TeemaVari: #f48622;
    --BussinessColor: 34, 179, 244;
    --BussinessColorRGB: rgb(34, 179, 244);
    --SingleColor: 244, 134, 34;
    --SingleColorRGB: rgb(244, 134, 34);
}
* {
    -webkit-box-sizing: border-box; /* Safari/Chrome, other WebKit */
    -moz-box-sizing: border-box; /* Firefox, other Gecko */
    box-sizing: border-box; /* Opera/IE 8+ */
}

body,
html {
    margin: 0;
    font-family: gitan-latin, sans-serif;
}

#Alkunakyma {
    width: 100vw;
    height: 100vh;
    overflow: hidden;
    white-space: nowrap;
    position: relative;
}
#Alkunakyma:after {
    content: '';
    width: 100%;
    height: 100%;
    background-image: url(https://urakoitsijaportaali.fi/Kuvat/Logo_1_3D.png);
    background-size: 200%;
    opacity: 0.1;
    position: absolute;
    z-index: -1;
    top: 0;
    left: 0;
    background-position: 75% 20%;
    background-repeat: no-repeat;
}
#Alkunakyma > * {
    white-space: initial;
}
#Alkunakyma #Otsikko {
    font-family: classico-urw, sans-serif;
    font-weight: 900;
    width: 45%;
    display: inline-block;
    vertical-align: top;
    text-align: center;
    font-size: 2em;
    height: 80vh;
}
#Alkunakyma #Otsikko h2 {
    display: inline-block;
}
#Alkunakyma #KirjautumisRuutu {
    width: 55%;
    display: inline-block;
    vertical-align: top;
    position: relative;
    height: 80vh;
}
#Alkunakyma #KirjautumisRuutu:after {
    position: absolute;
    width: 150%;
    height: 150%;
    border-radius: 150vh 150vw;
    background: var(--TeemaVari);
    left: -25%;
    top: -25%;
}
#Alkunakyma #KirjautumisRuutu form {
    display: inline-block;
    width: 400px;
    margin-left: 200px;
    vertical-align: middle;
}
#Alkunakyma #KirjautumisRuutu label {
    display: block;
    margin-bottom: 20px;
}
#Alkunakyma #KirjautumisRuutu label span {
    display: block;
    font-size: 1.1em;
    margin-bottom: 5px;
    margin-left: 5px;
}
#Alkunakyma #KirjautumisRuutu label input {
    width: 100%;
    font-size: 1em;
    padding: 10px 15px;
    border: 1px solid #ccc;
    border-radius: 7px;
}

#Alkunakyma #KirjautumisRuutu #Virheet {
    margin-top: 20px;
    color: red;
}
#Alkunakyma #KirjautumisRuutu button {
    width: 100%;
    font-size: 1em;
    background: var(--TeemaVari);
    color: white;
    border-radius: 7px;
    padding: 7px 10px;
    border: none;
    cursor: pointer;
}
#Alkunakyma #KirjautumisRuutu button i {
    margin-left: 10px;
    transition: 300ms;
}
#Alkunakyma #KirjautumisRuutu button:hover i {
    transition: 300ms;
    transform: translateX(10px);
}
#Alkunakyma #Alapalkki {
    text-align: center;
    position: absolute;
    bottom: 30px;
    width: 100%;
}
#Alkunakyma #Alapalkki img {
    width: 70px;
    vertical-align: middle;
}
#Alkunakyma #Alapalkki b {
    font-family: classico-urw, sans-serif;
    font-weight: 900;
    font-size: 2em;
    vertical-align: middle;
    margin-left: 30px;
}
#Alkunakyma .centerize {
    height: 100%;
    width: 0px;
    display: inline-block;
    vertical-align: middle;
}

#SisaltoKehys {
    width: 100vw;
    height: 100vh;
    overflow: auto;
    white-space: nowrap;
    position: relative;
}
#SisaltoKehys:after {
    content: '';
    width: 100%;
    height: 100%;
    background-image: url(https://urakoitsijaportaali.fi/Kuvat/Logo_1_3D.png);
    background-size: 200%;
    opacity: 0.1;
    position: absolute;
    z-index: -1;
    top: 0;
    left: 0;
    background-position: 75% 20%;
    background-repeat: no-repeat;
}

#SisaltoKehys .Sisalto {
    background: white;
    border-radius: 10px;
    width: 80%;
    min-height: 80vh;
    margin: auto;
    margin-top: 10vh;
    box-shadow: 0px 0px 40px #0003;
    position: relative;
    padding: 40px;
}

#SisaltoKehys .Sisalto #UrakoitsijaNimi {
    position: absolute;
    top: 10px;
    left: 20px;
    font-weight: 500;
}
.SisaltoBox{
    width: 100%;
}
.HoverRed:hover {
    transition: 300ms;
    color: red !important;
}

.iconButton {
    color: #333;
    background: transparent;
    margin-bottom: 5px;
    position: relative;
    height: 30px;
    line-height: 30px;
    transition: 300ms;
    white-space: nowrap;
    border-radius: 7px;
    overflow: hidden;
    outline: none;
    border: none;
    cursor: pointer;
}
.iconButton:hover {
    color: var(--TeemaVari);
}

.button {
    color: #333;
    padding-right: 15px;
    background: #eee;
    margin-bottom: 5px;
    position: relative;
    height: 30px;
    line-height: 30px;
    transition: 300ms;
    white-space: nowrap;
    border-radius: 7px;
    overflow: hidden;
    float: left;
    clear: left;
    outline: none;
    border: none;
    padding-left: 15px;
}
.button:hover {
    cursor: pointer;
    background: #e1e1e1;
    transition: 300ms;
}
.button:hover .icon {
    transition: 300ms;
}
.button .icon {
    position: relative;
    width: 30px;
    height: 100%;
    left: 0;
    top: 0;
    margin-right: 5px;
    color: #707070;
    display: inline-block;
    line-height: 30px;
    text-align: center;
    vertical-align: top;
    transition: 300ms;
}

#Menu {
    position: fixed;
    left: 0;
    top: calc(50%);
    margin-top: -50px;
    width: 10vw;
    height: 100px;
    z-index: 10;
}

#Menu button:not(#menubutton) {
    background: none;
    border: none;
    font-size: 1em;
    width: 100%;
    cursor: pointer;
    padding: 10px 0px;
    text-align: left;
    padding-left: 20px;
    transition: 300ms;
}
#Menu button:not(#menubutton) i {
    margin-right: 10px;
}
#Menu button:not(#menubutton):not(.Active):hover {
    background: #fff6;
    transition: 300ms;
}
#Menu button:not(#menubutton).Active {
    background: white;
}
#KirjauduUlos {
    color: #999;
}
#menubutton {
    display: none;
}
@media screen and (max-width: 800px) {
    #Alkunakyma #Otsikko {
        width: 100%;
        height: auto;
        font-size: 1.5em;
        margin-top: 30px;
    }
    #Alkunakyma #KirjautumisRuutu {
        width: 100%;
        height: auto;
        display: block;
        margin-top: 100px;
    }
    #Alkunakyma #KirjautumisRuutu form {
        margin-left: min(max((calc(100% - 40px) - 400px) / 2, 20px), 100px);
        width: min(calc(100% - 40px), 400px);
    }
    #menubutton {
        display: block;
        background: none;
        border: none;
        font-size: 1.5em;
    }
    #Menu {
        position: absolute;
        top: 20px;
        right: 20px;
        margin-top: 0px;
        left: initial;
    }
    #Menulist {
        width: 100vw;
        display: none;
        background: white;
        top: 60px;
        position: fixed;
        left: 0px;
        right: 0px;
    }
    #menubutton.Active + #Menulist {
        display: block;
    }
    #Menu button:not(#menubutton) {
        padding: 20px 20px;
    }
    #SisaltoKehys .Sisalto {
        width: 98%;
        padding-top: 30px;
        padding-right: 15px;
        padding-left: 15px;
        overflow-x: auto;
    }
}
